MSKGraphInternal::State Struct Reference

Internal: the state of a MSKGraph. More...

## Public Member Functions

| State ()
| constructor More...

## Public Attributes

int | m_version
| the version More...
std::vector< shared_ptr< Zone > > | m_zonesList
| the list of zone More...
std::map< int, RBZone > | m_RBsMap
| the RBIL zone id->list id More...
MWAWFont | m_font
| the actual font More...
int | m_numPages
| the number of pages More...

## Detailed Description

Internal: the state of a MSKGraph.

## Constructor & Destructor Documentation

MSKGraphInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

MWAWFont MSKGraphInternal::State::m_font

the actual font

int MSKGraphInternal::State::m_numPages

the number of pages

std::map<int, RBZone> MSKGraphInternal::State::m_RBsMap

the RBIL zone id->list id

int MSKGraphInternal::State::m_version

the version

std::vector<shared_ptr<Zone> > MSKGraphInternal::State::m_zonesList

the list of zone

The documentation for this struct was generated from the following file:

- MSKGraph.cxx